Name:           yarock
Version:        0.9.67        
Release:        1%{?dist}
Summary:        A lightweight, beautiful music player 
License:        GPLv3+   
URL:            https://launchpad.net/yarock 
Source0:        https://launchpad.net/yarock/trunk/%{version}/+download/Yarock_%{version}_source.tar.gz 
# Fix translation files path - sent to upstream but was ignored
Patch0:         yarock-0.9.67-translation_path.patch
BuildRequires:  cmake >= 2.8.0
BuildRequires:  qt-devel >= 4.7.0
BuildRequires:  taglib-devel >= 1.6.2
BuildRequires:  qjson-devel >= 0.7.1
BuildRequires:  libechonest-devel >= 2.1.0 
BuildRequires:  libqxt-devel
BuildRequires:  qtsingleapplication-devel
BuildRequires:  qtsinglecoreapplication-devel
BuildRequires:  phonon-devel
BuildRequires:  sqlite-devel
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme

%description
Yarock is a music player designed to provide a clean,  
simple and beautiful music collection based on album cover-art. 

%prep
%setup -q -n Yarock_%{version}_source
%patch0 -p0 -b .translation_path

# Drop bundled stuff
pushd src3party 
rm -rfv libechonest
rm -rfv qtsingleapplication
rm -rfv qxt
popd

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
  -DUSE_SYSTEM_QTSINGLEAPPLICATION:BOOL=ON \
  -DUSE_SYSTEM_QXT:BOOL=ON \
  ..
popd
make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang %{name} --all-name --with-qt

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc README COPYING CHANGES
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations

%changelog
* Sat May 10 2014 James Abtahi <jam3s@fedoraproject.com> 0.9.67-1
- update for the latest version
- the patch .system_libs by Rex Dieter was applied to upstream
- the patch .installationpath was replaced by .translation_path
 
* Wed Dec 04 2013 James Abtahi <jamescategory@gmail.com> 0.9.64-3
- install translation files in {_datadir}/{name}/translations

* Sun Dec 01 2013 James Abtahi <jamescategory@gmail.com> 0.9.64-2
- fixed a typo in description
- added {_datadir}/locale/{name}/
- added comments to patches

* Sat Nov 30 2013 James Abtahi <jamescategory@gmail.com> 0.9.64-2
- revert to {_datadir}/icons/hicolor/*/*/*

* Sat Nov 23 2013 James Abtahi <jamescategory@gmail.com> 0.9.64-2
- fixed a typo and added qtsinglecoreapplication-devel dependency
- added desktop-file-validate

* Fri Nov 22 2013 Rex Dieter <rdieter@fedoraproject.org> 0.9.64-2
- use system qtsingleapplication, qxt libraries
- use %%cmake macro

* Fri Nov 22 2013 James Abtahi <jamescategory@gmail.com> 0.9.64-1
- Added hicolor-icon-theme requirement and icon scriplets
- Added {_prefix} macro to cmake
- Removed redundant requirements
- Added VERBOSE to make
- Adding {optflags} 

* Wed Nov 20 2013 James Abtahi <jamescategory@gmail.com> 0.9.64-1
- Removed extra empty lines
- Some editing in Summary and Description 
- Removed rm -rf in install section
- Removed clean section
- More specific file listing for {_datadir}/icons/hicolor/*/*/*

* Sat Nov 16 2013 James Abtahi <jamescategory@gmail.com> 0.9.64-1
- Initial Build
